<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="form-element">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `form-element`
     * Form
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class FormElement extends Polymer.Element {
      static get is() { return 'form-element'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'form-element'
          }
        };
      }
    }

    window.customElements.define(FormElement.is, FormElement);
  </script>
</dom-module>
